# Class AwtSwingComponent

java.lang.Object
org.jmol.awt.AwtSwingComponent

All Implemented Interfaces:
  `SC`

public class AwtSwingComponent extends Object implements SC
A javax.swing implementation of SwingComponent that mirrors org.jmol.awtjs.swing for compatibility with compilation with java2script.

Author:
  Bob Hanson, hansonr

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`deferred`
`JComponent`
`jc`

## Constructor Summary

Constructors
Constructor
Description
`AwtSwingComponent()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(SC item)`
`void`
`addActionListener(Object owner)`
`void`
`addItemListener(Object owner)`
`void`
`addMouseListener(Object owner)`
`String`
`getActionCommand()`
`Object`
`getComponent(int i)`
`int`
`getComponentCount()`
`Object[]`
`getComponents()`
`Object`
`getIcon()`
`String`
`getName()`
`Object`
`getParent()`
`Object`
`getPopupMenu()`
`String`
`getText()`
`void`
`init(String text, Object icon, String actionCommand, SC popupMenu)`
`void`
`insert(SC subMenu, int index)`
`boolean`
`isEnabled()`
`boolean`
`isSelected()`
`void`
`remove(int i)`
`void`
`removeAll()`
`void`
`setActionCommand(String script)`
`void`
`setAutoscrolls(boolean b)`
`void`
`setEnabled(boolean enabled)`
`void`
`setIcon(Object icon)`
`void`
`setName(String name)`
`void`
`setSelected(boolean b)`
`void`
`setText(String text)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### jc

public JComponent jc

### deferred

public boolean deferred

## Constructor Details

### AwtSwingComponent

public AwtSwingComponent()

## Method Details

### add

public void add(SC item)

Specified by:
  `add` in interface `SC`

### addActionListener

public void addActionListener(Object owner)

Specified by:
  `addActionListener` in interface `SC`

### addItemListener

public void addItemListener(Object owner)

Specified by:
  `addItemListener` in interface `SC`

### addMouseListener

public void addMouseListener(Object owner)

Specified by:
  `addMouseListener` in interface `SC`

### getActionCommand

public String getActionCommand()

Specified by:
  `getActionCommand` in interface `SC`

### getComponent

public Object getComponent(int i)

Specified by:
  `getComponent` in interface `SC`

### getComponentCount

public int getComponentCount()

Specified by:
  `getComponentCount` in interface `SC`

### getComponents

public Object[] getComponents()

Specified by:
  `getComponents` in interface `SC`

### getName

public String getName()

Specified by:
  `getName` in interface `SC`

### getParent

public Object getParent()

Specified by:
  `getParent` in interface `SC`

### getPopupMenu

public Object getPopupMenu()

Specified by:
  `getPopupMenu` in interface `SC`

### getText

public String getText()

Specified by:
  `getText` in interface `SC`

### getIcon

public Object getIcon()

Specified by:
  `getIcon` in interface `SC`

### init

public void init(String text, Object icon, String actionCommand, SC popupMenu)

Specified by:
  `init` in interface `SC`

### insert

public void insert(SC subMenu, int index)

Specified by:
  `insert` in interface `SC`

### isEnabled

public boolean isEnabled()

Specified by:
  `isEnabled` in interface `SC`

### isSelected

public boolean isSelected()

Specified by:
  `isSelected` in interface `SC`

### remove

public void remove(int i)

Specified by:
  `remove` in interface `SC`

### removeAll

public void removeAll()

Specified by:
  `removeAll` in interface `SC`

### setActionCommand

public void setActionCommand(String script)

Specified by:
  `setActionCommand` in interface `SC`

### setAutoscrolls

public void setAutoscrolls(boolean b)

Specified by:
  `setAutoscrolls` in interface `SC`

### setEnabled

public void setEnabled(boolean enabled)

Specified by:
  `setEnabled` in interface `SC`

### setName

public void setName(String name)

Specified by:
  `setName` in interface `SC`

### setSelected

public void setSelected(boolean b)

Specified by:
  `setSelected` in interface `SC`

### setText

public void setText(String text)

Specified by:
  `setText` in interface `SC`

### setIcon

public void setIcon(Object icon)

Specified by:
  `setIcon` in interface `SC`